<template>
  <div class="row pt-5 expire-at">
    <div class="col col-12 col-lg-3">
      <p class="fw-bold title-text">Expire At</p>
    </div>
    <div class="col col-12 col-lg-9">
      <div>
        <date-picker
          placeholder="Expire at"
          input-class="form-control"
          format="dd MMM yyyy"
          @selected="handleSelectDate"></date-picker>
      </div>
    </div>
  </div>
</template>

<script>
import DatePicker from "vuejs-datepicker";
import moment from "moment";

export default {
  components: {
    DatePicker
  },
  props: {
    idProp: Number
  },
  methods: {
    updateContent(e) {
      console.log(e.target);
    },
    handleSelectDate(date) {
      let datetimeEnd = moment(date).format('YYYY-MM-DD')
      let timeStamp = moment(datetimeEnd).valueOf()
      this.$emit('update-expire-at', timeStamp);
    }
  }
};
</script>

<style scoped>
* > .row {
  width: 100%;
  margin-left: 0;
}
.expire-at .title-text {
  font-size: 22px;
}
</style>
